%define pkg_name        Net-Amazon-AWIS
%define pkg_version     0.32
%define rpm_pkg_version 0.32
%define rpm_pkg_release 2.n0i.3

Summary:       Use the Amazon Alexa Web Information Service
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/L/LB/LBROCARD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Class::Accessor::Fast)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(Digest::HMAC_SHA1)
BuildRequires: perl(IO::Prompt)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::Exception) >= 0.15
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::LibXML::XPathContext)


%description
The Net::Amazon::AWIS module allows you to use the Amazon Alexa Web
Information Service. The Alexa Web Information Service (AWIS) provides
developers with programmatic access to the information Alexa Internet
(www.alexa.com) collects from its Web Crawl, which currently encompasses
more than 100 terabytes of data from over 4 billion Web pages. Developers
and Web site owners can use AWIS as a platform for finding answers to
difficult and interesting problems on the Web, and incorporating them into
their Web applications.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test </dev/null || : }


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.32-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Mon Mar 27 2006 Marius Feraru <altblue@n0i.net> - 0.32-1.n0i.2
- version 0.32

* Wed Aug 31 2005 Marius Feraru <altblue@n0i.net> 0.31-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.09
- rebuild on perl 5.8.7
